CC = iccavr
CFLAGS =  -ID:\Compiler\Ethernut\nut402\nutbld-icc\include -ID:\Compiler\Ethernut\nut402\nut\include -I..\inc -e -D__ICC_VERSION="7.04A" -DETHERNUT2 -D_MCU_enhanced -D__HARVARD_ARCH__ -D_DEBUG=1 -DATMEGA -DATMega128  -l -g -Mavr_enhanced 
ASFLAGS = $(CFLAGS)  -Wa-g
LFLAGS =  -LD:\Compiler\Ethernut\nut402\nutbld-icc\lib -g -ucrtatmegaram.o -bfunc_lit:0x8c.0x20000 -dram_end:0x10ff -bdata:0x1100.0x7fff -dFRAM:1 -dhwstk_size:32 -beeprom:0.4096 -fihx_coff -ucrtnutram.o D:\Compiler\Ethernut\nut402\nutbld-icc\lib\nutinit.o -S2
FILES = xflash.o tftp.o xhttpserv.o 

xflash:	$(FILES)
	$(CC) -o xflash $(LFLAGS) @xflash.lk   -lnutpro -lnutfs -lnutnet -lnutos -lnutdev -lnutcrt -lnutarch -llpatmega -lcatmega
xflash.o: D:\Compiler\Ethernut\nut402\nut\include\stdio.h D:\Compiler\Ethernut\nut402\nut\include\sys/types.h D:\Compiler\Ethernut\nut402\nut\include\compiler.h D:\Compiler\Ethernut\nut402\nut\include\arch/avr.h\
 D:\Compiler\Ethernut\nut402\nut\include\arch/avr/icc.h D:\Compiler\icc\include\stddef.h D:\Compiler\icc\include\macros.h D:\Compiler\icc\include\eeprom.h D:\Compiler\icc\include\eeprom.h D:\Compiler\icc\include\iom128v.h\
 D:\Compiler\icc\include\stdarg.h D:\Compiler\icc\include\string.h D:\Compiler\icc\include\_const.h D:\Compiler\icc\include\stddef.h D:\Compiler\icc\include\ctype.h D:\Compiler\Ethernut\nut402\nut\include\time.h\
 D:\Compiler\Ethernut\nut402\nut\include\compiler.h D:\Compiler\Ethernut\nut402\nut\include\sys/types.h D:\Compiler\Ethernut\nut402\nut\include\fcntl.h D:\Compiler\Ethernut\nut402\nut\include\sys/heap.h\
 D:\Compiler\Ethernut\nut402\nut\include\sys/types.h D:\Compiler\Ethernut\nut402\nut\include\sys/event.h D:\Compiler\Ethernut\nut402\nut\include\sys/types.h D:\Compiler\Ethernut\nut402\nut\include\sys/thread.h\
 D:\Compiler\Ethernut\nut402\nut\include\sys/types.h D:\Compiler\Ethernut\nut402\nut\include\sys/atom.h D:\Compiler\Ethernut\nut402\nutbld-icc\include\cfg/os.h D:\Compiler\Ethernut\nut402\nut\include\sys/types.h\
 D:\Compiler\Ethernut\nut402\nut\include\arch/avr/atom.h D:\Compiler\Ethernut\nut402\nut\include\sys/device.h D:\Compiler\Ethernut\nut402\nut\include\sys/file.h D:\Compiler\Ethernut\nut402\nut\include\sys/types.h ..\inc\project.h\
 D:\Compiler\icc\include\iom128v.h ..\inc\typedefs.h ..\inc\xflash.h D:\Compiler\Ethernut\nut402\nut\include\sys/device.h
xflash.o:	D:\Projekte\AVR\Ethernut\xflash\avr\src\xflash.c
	$(CC) -c $(CFLAGS) D:\Projekte\AVR\Ethernut\xflash\avr\src\xflash.c
tftp.o: D:\Compiler\Ethernut\nut402\nut\include\stdio.h D:\Compiler\Ethernut\nut402\nut\include\sys/types.h D:\Compiler\Ethernut\nut402\nut\include\compiler.h D:\Compiler\Ethernut\nut402\nut\include\arch/avr.h\
 D:\Compiler\Ethernut\nut402\nut\include\arch/avr/icc.h D:\Compiler\icc\include\stddef.h D:\Compiler\icc\include\macros.h D:\Compiler\icc\include\eeprom.h D:\Compiler\icc\include\eeprom.h D:\Compiler\icc\include\iom128v.h\
 D:\Compiler\icc\include\stdarg.h D:\Compiler\icc\include\string.h D:\Compiler\icc\include\_const.h D:\Compiler\Ethernut\nut402\nut\include\io.h D:\Compiler\Ethernut\nut402\nut\include\sys/types.h D:\Compiler\icc\include\ctype.h\
 D:\Compiler\Ethernut\nut402\nut\include\fcntl.h D:\Compiler\Ethernut\nut402\nut\include\sys/thread.h D:\Compiler\Ethernut\nut402\nut\include\sys/types.h D:\Compiler\Ethernut\nut402\nut\include\sys/timer.h\
 D:\Compiler\Ethernut\nut402\nut\include\sys/types.h D:\Compiler\Ethernut\nut402\nut\include\arch/timer.h D:\Compiler\Ethernut\nut402\nut\include\arch/avr/timer.h D:\Compiler\Ethernut\nut402\nut\include\sys/heap.h\
 D:\Compiler\Ethernut\nut402\nut\include\sys/types.h D:\Compiler\Ethernut\nut402\nut\include\sys/confnet.h D:\Compiler\Ethernut\nut402\nut\include\sys/types.h D:\Compiler\Ethernut\nut402\nut\include\sys/socket.h\
 D:\Compiler\Ethernut\nut402\nut\include\sys/sock_var.h D:\Compiler\Ethernut\nut402\nut\include\sys/types.h D:\Compiler\Ethernut\nut402\nut\include\dev/netbuf.h D:\Compiler\Ethernut\nut402\nut\include\sys/types.h\
 D:\Compiler\Ethernut\nut402\nut\include\netinet/tcp_fsm.h D:\Compiler\Ethernut\nut402\nut\include\sys/version.h D:\Compiler\Ethernut\nut402\nut\include\sys/types.h D:\Compiler\Ethernut\nut402\nut\include\net/if_var.h\
 D:\Compiler\Ethernut\nut402\nut\include\sys/types.h D:\Compiler\Ethernut\nut402\nut\include\sys/device.h D:\Compiler\Ethernut\nut402\nut\include\sys/file.h D:\Compiler\Ethernut\nut402\nut\include\sys/types.h\
 D:\Compiler\Ethernut\nut402\nut\include\dev/netbuf.h D:\Compiler\Ethernut\nut402\nut\include\net/if_types.h D:\Compiler\Ethernut\nut402\nut\include\netinet/in.h D:\Compiler\Ethernut\nut402\nut\include\sys/types.h\
 D:\Compiler\Ethernut\nut402\nut\include\arpa/inet.h D:\Compiler\Ethernut\nut402\nut\include\sys/types.h ..\inc\project.h D:\Compiler\icc\include\iom128v.h ..\inc\typedefs.h ..\inc\tftp.h
tftp.o:	D:\Projekte\AVR\Ethernut\xflash\avr\src\tftp.c
	$(CC) -c $(CFLAGS) D:\Projekte\AVR\Ethernut\xflash\avr\src\tftp.c
xhttpserv.o: D:\Compiler\icc\include\string.h D:\Compiler\icc\include\_const.h D:\Compiler\Ethernut\nut402\nut\include\io.h D:\Compiler\Ethernut\nut402\nut\include\sys/types.h D:\Compiler\Ethernut\nut402\nut\include\compiler.h\
 D:\Compiler\Ethernut\nut402\nut\include\arch/avr.h D:\Compiler\Ethernut\nut402\nut\include\arch/avr/icc.h D:\Compiler\icc\include\stddef.h D:\Compiler\icc\include\macros.h D:\Compiler\icc\include\eeprom.h D:\Compiler\icc\include\eeprom.h\
 D:\Compiler\icc\include\iom128v.h D:\Compiler\Ethernut\nut402\nut\include\fcntl.h D:\Compiler\Ethernut\nut402\nut\include\dev/lanc111.h D:\Compiler\Ethernut\nut402\nut\include\dev/netbuf.h D:\Compiler\Ethernut\nut402\nut\include\sys/types.h\
 D:\Compiler\Ethernut\nut402\nut\include\net/if_var.h D:\Compiler\Ethernut\nut402\nut\include\sys/types.h D:\Compiler\Ethernut\nut402\nut\include\sys/device.h D:\Compiler\Ethernut\nut402\nut\include\sys/file.h\
 D:\Compiler\Ethernut\nut402\nut\include\sys/types.h D:\Compiler\Ethernut\nut402\nut\include\dev/netbuf.h D:\Compiler\Ethernut\nut402\nut\include\net/if_types.h D:\Compiler\Ethernut\nut402\nut\include\dev/debug.h\
 D:\Compiler\Ethernut\nut402\nutbld-icc\include\cfg/arch.h D:\Compiler\Ethernut\nut402\nut\include\sys/device.h D:\Compiler\Ethernut\nut402\nut\include\dev/uart.h D:\Compiler\Ethernut\nut402\nut\include\sys/device.h ..\inc\tftp.h ..\inc\xflash.h\
 D:\Compiler\Ethernut\nut402\nut\include\sys/device.h D:\Compiler\Ethernut\nut402\nut\include\sys/nutconfig.h D:\Compiler\Ethernut\nut402\nut\include\cfg/ethernut.h D:\Compiler\Ethernut\nut402\nut\include\cfg/modem.h\
 D:\Compiler\Ethernut\nut402\nut\include\cfg/medianut.h D:\Compiler\Ethernut\nut402\nut\include\cfg/coconut.h D:\Compiler\Ethernut\nut402\nut\include\sys/version.h D:\Compiler\Ethernut\nut402\nut\include\sys/types.h\
 D:\Compiler\Ethernut\nut402\nut\include\sys/thread.h D:\Compiler\Ethernut\nut402\nut\include\sys/types.h D:\Compiler\Ethernut\nut402\nut\include\sys/timer.h D:\Compiler\Ethernut\nut402\nut\include\sys/types.h\
 D:\Compiler\Ethernut\nut402\nut\include\arch/timer.h D:\Compiler\Ethernut\nut402\nut\include\arch/avr/timer.h D:\Compiler\Ethernut\nut402\nut\include\sys/heap.h D:\Compiler\Ethernut\nut402\nut\include\sys/types.h\
 D:\Compiler\Ethernut\nut402\nut\include\sys/confnet.h D:\Compiler\Ethernut\nut402\nut\include\sys/types.h D:\Compiler\Ethernut\nut402\nut\include\sys/socket.h D:\Compiler\Ethernut\nut402\nut\include\sys/sock_var.h\
 D:\Compiler\Ethernut\nut402\nut\include\sys/types.h D:\Compiler\Ethernut\nut402\nut\include\dev/netbuf.h D:\Compiler\Ethernut\nut402\nut\include\netinet/tcp_fsm.h D:\Compiler\Ethernut\nut402\nut\include\arpa/inet.h\
 D:\Compiler\Ethernut\nut402\nut\include\sys/types.h D:\Compiler\Ethernut\nut402\nut\include\pro/httpd.h D:\Compiler\Ethernut\nut402\nut\include\stdio.h D:\Compiler\Ethernut\nut402\nut\include\sys/types.h D:\Compiler\icc\include\stdarg.h\
 D:\Compiler\Ethernut\nut402\nut\include\pro/dhcp.h D:\Compiler\Ethernut\nut402\nut\include\cfg/dhcp.h D:\Compiler\Ethernut\nut402\nut\include\sys/types.h
xhttpserv.o:	D:\Projekte\AVR\Ethernut\xflash\avr\src\xhttpserv.c
	$(CC) -c $(CFLAGS) D:\Projekte\AVR\Ethernut\xflash\avr\src\xhttpserv.c
